Summary:	Qt interface for Zeitgeist service
Summary(pl.UTF-8):	Interfejs Qt do usługi Zeitgeist
Name:		libqzeitgeist
Version:	0.8.0
Release:	5
License:	LGPL v2.1+
Group:		Libraries
Source0:	ftp://ftp.kde.org/pub/kde/stable/libqzeitgeist/0.8.0/src/%{name}-%{version}.tar.bz2
# Source0-md5:	97bdea6a1865db7d5f29c93e3a492f24
Patch0:		%{name}-cmake.patch
URL:		https://projects.kde.org/projects/kdesupport/libqzeitgeist/
BuildRequires:	QtCore-devel >= 4.7.0
BuildRequires:	QtDBus-devel >= 4.7.0
BuildRequires:	QtDeclarative-devel >= 4.7.0
BuildRequires:	QtGui-devel >= 4.7.0
BuildRequires:	QtTest-devel >= 4.7.0
BuildRequires:	cmake >= 2.8.6
BuildRequires:	python-zeitgeist >= 0.8
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake
BuildRequires:	rpmbuild(macros) >= 1.603
Requires:	QtCore >= 4.7.0
Requires:	QtDBus >= 4.7.0
Requires:	QtGui >= 4.7.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Qt Zeitgeist library, providing access to Zeitgeist service.

%description -l pl.UTF-8
Biblioteka Qt Zeitgeist, dająca dostęp do usługi Zeitgeist.

%package devel
Summary:	Qt Zeitgeist development files
Summary(pl.UTF-8):	Pliki programistyczne biblioteki Qt Zeitgeist
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	QtCore-devel >= 4.7.0
Requires:	QtDBus-devel >= 4.7.0

%description devel
Development files for Qt Zeitgeist library.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki Qt Zeitgeist.

%package -n QtDeclarative-plugin-qzeitgeist
Summary:	Qt Zeitgeist plugin for QtDeclarative
Summary(pl.UTF-8):	Wtyczka Qt Zeitgeist dla QtDeclarative
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	QtDeclarative >= 4.7.0

%description -n QtDeclarative-plugin-qzeitgeist
Qt Zeitgeist plugin for QtDeclarative.

%description -n QtDeclarative-plugin-qzeitgeist -l pl.UTF-8
Wtyczka Qt Zeitgeist dla QtDeclarative.

%prep
%setup -q
%patch0 -p1

%build
install -d build
cd build
%cmake ..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libqzeitgeist.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libqzeitgeist.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libqzeitgeist.so
%{_includedir}/QZeitgeist
%{_pkgconfigdir}/QZeitgeist.pc
%{_libdir}/cmake/QZeitgeist

%files -n QtDeclarative-plugin-qzeitgeist
%defattr(644,root,root,755)
%dir %{_libdir}/qt4/imports/org/gnome
%dir %{_libdir}/qt4/imports/org/gnome/zeitgeist
%attr(755,root,root) %{_libdir}/qt4/imports/org/gnome/zeitgeist/libQZeitgeistDeclarativePlugin.so
%{_libdir}/qt4/imports/org/gnome/zeitgeist/qmldir
%changelog
* Mon Mar 23 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libqzeitgeist.git;a=log;h=master

* Mon Mar 23 2015 Jakub Bogusz <qboosh@pld-linux.org> 7d446bc
- added cmake patch (port from automoc4 to cmake automoc support + linking fixes)
- release 5

* Fri Jan 24 2014 Jan Rękorajski <baggins@pld-linux.org> 1035694
- release 4 (by relup.sh)

* Sat Jan 04 2014 Jan Rękorajski <baggins@pld-linux.org> 77c0f5d
- _libdir/qt4/imports/org dir moved to qt4 package
- rel 3

* Thu Jan 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 66be661
- release 2

* Wed Dec 28 2011 Karol Krenski <charles@pld-linux.org> 1f639b0
- updated BRs

* Wed Dec 28 2011 Jakub Bogusz <qboosh@pld-linux.org> a0ea1b4
- new URLs
- updated to 0.8.0 (note: new soname, API changes)
- package QtDeclarative plugin

* Sat Jun 18 2011 Jakub Bogusz <qboosh@pld-linux.org> d5efda7
- pl
- unified
- proper License and Group
- Qt install time deps

* Sat Apr 02 2011 Elan Ruusamäe <glen@pld-linux.org> 54771e0
- unify, deps

* Sat Apr 02 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d5a0519
- initial

